Bug 1679634 - Review Request: python-yappi - Yet Another Python Profiler
Summary: Review Request: python-yappi - Yet Another Python Profiler
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Javier Peña
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 15:55 UTC by Alfredo Moralejo
Modified: 2020-05-19 10:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-19 10:32:03 UTC
Type: ---
jpena: fedora-review+


Attachments (Terms of Use)
fedora-review output (33.39 KB, text/plain)
2019-02-22 12:03 UTC, Javier Peña
no flags Details

Description Alfredo Moralejo 2019-02-21 15:55:43 UTC
Spec URL: https://github.com/amoralej/python-yappi/raw/master/python-yappi.spec
SRPM URL: https://github.com/amoralej/python-yappi/raw/master/python-yappi-1.0-1.fc30.src.rpm

Description:

yappi has been added as new dependency in OpenStack and it's needed for the last release of python-oslo-service

yappi is a new python profiler which includes support for multithreading and cpu-times, as compared with other existing profiles in standard distribution.

project: https://github.com/sumerc/yappi

Fedora Account System Username: amoralej

scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=32946184

Comment 1 hguemar 2019-02-21 16:57:12 UTC
Some minor changes needed:
- Summary is too long and the final dot has to be removed.
- Description needs to be wrapped

Otherwise, LGTM.

Comment 2 Alfredo Moralejo 2019-02-22 11:19:57 UTC
I've just updated the spec to fix the mentioned issues:

Spec URL: https://github.com/amoralej/python-yappi/raw/master/python-yappi.spec
SRPM URL: https://github.com/amoralej/python-yappi/raw/master/python-yappi-1.0-1.fc30.src.rpm

Comment 3 Javier Peña 2019-02-22 12:02:18 UTC
Review notes (fedora-review.txt will be added as an attachment due to the size limit):

- gcc is required for the build, regardless of the fedora-review output
- The comment about header files in the -debugsource subpackage is expected
- The comment about the /usr/lib/.build-id directory is expected, and shared with lots of other Fedora packages.

The package is APPROVED.

Comment 4 Javier Peña 2019-02-22 12:03:01 UTC
Created attachment 1537442 [details]
fedora-review output

Comment 5 Alfredo Moralejo 2019-02-25 09:55:47 UTC
https://pagure.io/releng/fedora-scm-requests/issue/9994

Comment 6 Gwyn Ciesla 2019-02-25 14:51:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-yappi


Note You need to log in before you can comment on or make changes to this bug.